typst-symbols-0.2: Symbol and emoji lookup for typst language

Safe Haskell | Safe-Inferred
Language | Haskell2010

Typst.Symbols

Synopsis

- data Sym = Sym {
  - symName :: Text
  - symIsAccent :: Bool
  - symDeprecation :: Maybe Text
  - symMathClass :: MathClass
  - symText :: Text
  }
- data MathClass
  - = None
  - | Alphabetic
  - | Relation
  - | Binary
  - | Opening
  - | Punctuation
  - | Fence
- typstSymbols :: [Sym]
- typstEmojis :: [Sym]
- mathSymbolShorthands :: [(Text, Text)]

# Documentation

data Sym Source #

A record for a typst symbol.

Constructors

Sym |

Fields

- symName :: Text
- symIsAccent :: Bool
- symDeprecation :: Maybe Text
- symMathClass :: MathClass
- symText :: Text

#### Instances

Instances details

Show Sym Source # |
Instance details Defined in Typst.Symbols Methods showsPrec :: Int -> Sym -> ShowS Source # show :: Sym -> String Source # showList :: [Sym] -> ShowS Source #

data MathClass Source #

The math-class attribute for a typst symbol.

Constructors

None |
Alphabetic |
Relation |
Binary |
Opening |
Punctuation |
Fence |

#### Instances

Instances details

Read MathClass Source # |
Instance details Defined in Typst.Symbols Methods readsPrec :: Int -> ReadS MathClass Source # readList :: ReadS [MathClass] Source # readPrec :: ReadPrec MathClass Source # readListPrec :: ReadPrec [MathClass] Source #
Show MathClass Source # |
Instance details Defined in Typst.Symbols Methods showsPrec :: Int -> MathClass -> ShowS Source # show :: MathClass -> String Source # showList :: [MathClass] -> ShowS Source #

typstSymbols :: [Sym] Source #

A list of triples, each consisting of the symbol name, a Boolean indicating whether the symbol is an accent, and the resolved symbol.

typstEmojis :: [Sym] Source #

A list of triples, each consisting of the emoji name, a Boolean indicating whether the symbol is an accent, and the resolved emoji.

mathSymbolShorthands :: [(Text, Text)] Source #